import State from "../domain/State";
import ActionProbabilityMap from "../domain/ActionProbabilityMap";
import Comment from "../domain/Comment";
import Action from "../domain/Action";
//import CheckList from "../domain/CheckList";

export default interface BackgroundMessageService {

    getState(): Promise<State>;
    getProbabilityMap(): Promise<ActionProbabilityMap>;
    getCommentList(): Promise<Comment[]>;
    //getChecklist(): Promise<CheckList>;
    setCommentPopupPosition(newPosition: {x: number, y:number});
    upComment(comment: Comment);
    sendAction(action: Action): Promise<void>;

}